﻿<!-- ------------------------------------------------- 
Exemple de code php - Formulário de pagamento
VERSION 1.0 - Lyra Network
------------------------------------------------------ -->

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<title>Exemplo de formulário de pagamento</title>
<link href="style.css" rel="stylesheet" type="text/css"/>
</head>

<body >

<div id="container">
	<div id="Title_information">
		<img class="logo_PSP" src="./img/psp.png" alt="Logo PayZEN">
		<div class="header_title" >EXEMPLO DE INTEGRAÇÃO DA PLATAFORMA DE PAGAMENTO PAYZEN <br/><br/>FOMULÁRIO SIMPLES DE PAGAMENTO - LINGUAGEM PHP - HTML - Versão do script 1.0a</div>
	</div>
	<hr>		


	
	<div id="Info">
		<p><b><u>INFORMAÇÃO</u></b></p>
		<p>O pagamento é baseado no envio de um formulário com os dados da transação para o PayZEN via POST para um URL HTTPS. Veja abaixo o exemplo dos diferentes campos.<br><br>Neste exemplo, as informações do formulário abaixo são enviadas para o arquivo "form_payment.php", este por sua vez trata as informações e os remete para a plataforma de pagamento.</p>
		Os campos devem ser preenchidos de acordo com os dados de sua transação, lembrando também que deverá considerar o contexto de ambiente, de TESTE ou de PRODUÇÃO. Certifique-se de que o arquivo count.txt esteja configurado com as permissões de escrita e leitura par ao pleno funcionamento do script.
	</div>	
		
	<hr>
		
		<p><b><u>CAMPOS DO FORMULÁRIO DE PAGAMENTO</u></b></p>
		<p style="float:"left"><b>URL da plataforma de pagamento: https://secure.payzen.com/vads-payment/</b></p>
		<p style="color:red;"><b>Os PARÂMETROS OBRIGATÓRIOS estão em vermelho.</b></p>
		<form style="margin-top:10px;"method=GET action=form_payment.php >
					
					<table cellspacing="1">

						
						
						<tr> 
						<td colspan="3" class="title_array"> DADOS DE ACESSO À PLATAFORMA</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">vads_site_id</td>
							<td><input type="text" name="vads_site_id" size=20 value="94956185" onkeyup="this.value=this.value.replace(/[^\d]*/gi,&quot;&quot;);"></td>
							<td>Identificação do site, você encontra esta informação no backoffice do PayZEN em Configuração >> Lojas >> Sua loja >> Aba Configuração</td>
						</tr>
						<tr>
							<td class="field_mandatory">Certificat</td>
							<td><input type="text" name="key" size=20 value="9874548989598030" onkeyup="this.value=this.value.replace(/[^\d]*/gi,&quot;&quot;);"></td>
							<td >Certificado, você encontra esta informação no backoffice do PayZEN em Configuração >> Lojas >> Sua loja >> Aba Certificados
							Certificat à récupérer dans le Back office Payzen. Atenção, o valor deste parâmetro é diferente para o ambiente de produção e de teste.</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">vads_ctx_mode</td>
							<td><input type="text" name="vads_ctx_mode" value="TEST" size=20></td>
							<td>Modo de funcionamento. Valores possíveis TEST ou PRODUCTION</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">vads_version</td>
							<td><input type="text" name="vads_version" value="V2" size=20></td>
							<td>Parametro obrigatório, use o valor V2.</td>
						</tr>
					
						<td colspan="3" class="title_array">PARÂMETROS DA TRANSAÇÃO</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">signature</td>
							<td class="field_warning">ATENÇÃO</td>
							<td >A assinatura é um parâmetro obrigatório. Seu valor é calculado Get_signature do arquivo function.php que acompanha este pacote.</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">vads_trans_date</td>
							<td class="field_warning">ATENÇÃO</td>
							<td>Este parâmetro é obrigatório. Seu valor, a data da transação, deve ser expressa como AAAAMMJJHHMMSS usando o fuso horário UTC=0. Neste exemplo o valor será tratado no arquivo function.php.</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">vads_trans_id</td>
							<td class="field_warning">ATENÇÃO</td>
							<td>Este parâmetro é obrigatório. Seu valor corresponde à identificação da transação e ele deve possuir as seguintes caracteristicas:
								<li> Único no dia. </li>
								<li> Deve possuir obrigatóriamente 6 caracteres.</li>
								<li> Seu valor deve ficar entre 000000 e 899999</li>
								Neste exemplo o cálculo deste parâmetro é feito no arquivo "function.php" usando um contador. Você pode calcular o VADS_TRANS_ID da forma que achar conveniente, mas deverá seguir as caracteríticas dfinidas acima.
							</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">vads_currency</td>
							<td><input type="text" name="vads_currency" value="986"size=20></td>
							<td>Moéda da transação, usar 986 para Reais,  codigo-moeda ISO 4217</td>
						</tr>
						
						<tr>
							<td>vads_payment_option_code</td>
							<td><input type="text" name="vads_payment_option_code" value="1"size=20></td>
							<td>Número de parcelas para pagamento parcelado. Parâmetro facultativo. </td>
						</tr>				
						
						<tr>
							<td class="field_mandatory">vads_amount</td>
							<td><input type="text" name="vads_amount" value="1000"size=20></td>
							<td>Valor da transação sem nenhuma formatação de milhar ou casa decimal, ex R$ 10,00 => 1000</td>
						</tr>
						
						<tr>
							<td class="field_mandatory">vads_page_action</td>
							<td><input type="text" name="vads_page_action" value="PAYMENT" size=20></td>
							<td >Este parâmetro é obrigatório e deve ser utilizado o valor PAYMENT. </td>
						</tr>
		
						<tr>
							<td class="field_mandatory">vads_action_mode</td>
							<td ><input type="text" name="vads_action_mode" value="INTERACTIVE"size=20></td>
							<td >Este parâmetro é obrigatório e deve ser utilizado o valor INTERACTIVE ou SILENT.
								<li> INTERACTIVE: O PayZen é responsável por captar e tratar os dados do cartão de crédito; </li>							
								<li> SILENT: A loja é responsável por captar, tratar e enviar os dados do cartão de crédito. </li>							
							</td>
						</tr>
						<tr>
							<td class="field_mandatory">vads_payment_config</td>
							<td><input type="text" name="vads_payment_config" value="SINGLE" size=20></td>
							<td>Este parâmetro é obrigatório e deve ser utilizado o valor SINGLE.</td>
						</tr>
						<tr> 
						<td colspan="3" class="title_array">PARÂMETROS DO CLIENTE</td>
						</tr>

						<!-- <tr>
							<td>vads_identifier</td>
							<td><input type="text" name="vads_identifier" value="" size=20></td>
							<td>Código de identificação do usuário para permitir um pagamento em um click. Parâmetro facultativo.</td>
						</tr>	 -->					
						<tr>
							<td>vads_order_id</td>
							<td><input type="text" name="vads_order_id" value="123456" size=20></td>
							<td>Número do pedido, esta informação é controle da loja para a identificação do pedido. parâmetro facultativo. Parâmetro alfa numérico com tamanho de 32 caracteres</td>
						</tr>						
						<tr>
							<td>vads_cust_id</td>
							<td><input type="text" name="vads_cust_id" value="" size=20></td>
							<td>Id do cliente, esta informação só é valida, se o cliente for cadastrado previamente. Parâmetro facultativo. Parâmetro alfa numérico com tamanho de 32 caracteres</td>
						</tr>
						<tr>
							<td>vads_cust_name</td>
							<td><input type="text" name="vads_cust_name" value="turista5" size=20></td>
							<td>Nome do cliente. Parâmetro facultativo. Parâmetro alfa numérico com tamanho de 127 caracteres</td>
						</tr>
						<tr>
							<td>vads_cust_address</td>
							<td><input type="text" name="vads_cust_address" value="Av. Queiroz Filho, 1700" size=20></td>
							<td>Endereço do clientet. Parâmetro facultativo. Parâmetro alfa numérico com tamanho de 255 caracteres</td>
						</tr>
						<tr>
							<td>vads_cust_zip</td>
							<td><input type="text" name="vads_cust_zip" value="05319-000" size=20></td>
							<td>Codigo Postal do cliente. Parâmetro facultativo. Parâmetro alfa numérico com tamanho de 32 caracteres</td>
						</tr>
						<tr>
							<td>vads_cust_city</td>
							<td><input type="text" name="vads_cust_city" value="São Paulo" size=20></td>
							<td>Cidade do cliente. Parâmetro facultativo. Parâmetro alfa numérico com tamanho de 63 caracteres</td>
						</tr>
						<tr>
							<td>vads_cust_country</td>
							<td><input type="text" name="vads_cust_country" value="BR" size=20></td>
							<td>País do cliente. Codigo do país do cliente conforme a norma ISO 3166. Parâmetro facultativo. Parâmetro alfa com tamanho de 2 caracteres.</td>
						</tr>
						<tr>
							<td>vads_cust_phone</td>
							<td><input type="text" name="vads_cust_phone" value="(11)3336-9200" size=20></td>
							<td>Telefone do cliente. Parâmetro facultativo. Parâmetro alfa numérico com tamanho de 32 caracteres</td>
						</tr>
						<tr>
							<td>vads_cust_email</td>
							<td><input type="text" name="vads_cust_email" value="aeras@dsfa.com" size=20></td>
							<td>E-mail do cliente. Parâmetro facultativo.</td>
						</tr>
						<tr>
							<td>vads_user_info</td>
							<td><input type="text" name="vads_user_info" value="844.769.352-06" size=20></td>
							<td>Campo adicional. Parâmetro facultativo.</td>
						</tr>
						<tr>
							<td>vads_payment_cards</td>
							<td><input type="text" name="vads_payment_cards" value="" size=20></td>
							<td>Rede e/ou meio de pagamento, ex. CIELO_VISA, BOLETO. Parâmetro facultativo.</td>
						</tr>
						<tr> 
							<td colspan="3" class="title_array">RESPOSTA DA TRANSAÇÃO PARA LOJA</td>
						</tr>
						
						<tr>
							<td>vads_url_return</td>
							<td><input type="text" name="vads_url_return" value="<?php echo 'http://'. $_SERVER['SERVER_NAME'].trim($_SERVER['REQUEST_URI'],'index.php').'return_payment.php'?>" size=20></td>
							<td>URL de retorno da loja, esta informação é para compor o link de quando o cliente clicar em "de volta à loja". Esta URL pode ser seu recibo de pagamento que exibirá o status da transação.</td>
						</tr>
						<tr>
							<td>vads_return_mode</td>
							<td><input type="text" name="vads_return_mode" value="GET" size=20></td>
							<td>Este parâmetro define o modo que do retorno das informações para loja (3 valores são possíveis GET / POST / NONE). Sem esta informação não haverá retorno de dados para loja.</td>
						</tr>
						<tr>
							<td>vads_redirect_success_timeout</td>
							<td><input type="text" name="vads_redirect_success_timeout" value="5" size=20 onkeyup="this.value=this.value.replace(/[^\d]*/gi,&quot;&quot;);"></td>
							<td>Este parâmetro define o tempo antes do retorno automático para a loja para um pagamento aprovado (valor expresso em segundos).</td>
						</tr>
						<tr>
							<td>vads_redirect_success_message</td>
							<td><input type="text" name="vads_redirect_success_message" value="Você será redirecionado para a loja em alguns segundos." size=20></td>
							<td>Este parâmetro define uma mensagem na página de pagamento antes do retorno automático para a loja em caso de pagamento aprovado.</td>
						</tr>
						<tr>
							<td>vads_redirect_error_timeout</td>
							<td><input type="text" name="vads_redirect_error_timeout" value="5" size=20 onkeyup="this.value=this.value.replace(/[^\d]*/gi,&quot;&quot;);"></td>
							<td>Este parâmetro define o tempo antes do retorno automático para a loja para um problema de comunicação com a operadora de pagamento, time out (valor expresso em segundos).</td>
						</tr>
						<tr>
							<td>vads_redirect_error_message</td>
							<td><input type="text" name="vads_redirect_error_message" value="Você será redirecionado para a loja em alguns segundos." size=20></td>
							<td>Este parâmetro define uma mensagem na página de pagamento antes do retorno automático para a loja em caso de pagamento com falha.</td>
						</tr>
						<tr> 
						<td colspan="3" class="title_array">DADOS DO CARTÃO </td>
						</tr>
						<tr>
							<td>vads_card_number</td>
							<td><input type="text" name="vads_card_number" value="" size=20 maxlength="16" onkeyup="this.value=this.value.replace(/[^\d]*/gi,&quot;&quot;);"></td>
							<td>Número do cartão.</td>
						</tr>
						<tr>
							<td>vads_expiry_month</td>
							<td><input type="text" name="vads_expiry_month" value="" size=4 maxlength="2" onkeyup="this.value=this.value.replace(/[^\d]*/gi,&quot;&quot;);"></td>
							<td> Mês de validade cartão.</td>
						</tr>
						<tr>
							<td>vads_expiry_year</td>
							<td><input type="text" name="vads_expiry_year" value="" size=4 maxlength="2" onkeyup="this.value=this.value.replace(/[^\d]*/gi,&quot;&quot;);"></td>
							<td> Ano de validade cartão.</td>
						</tr>
						<tr>
							<td>vads_cvv</td>
							<td><input type="text" name="vads_cvv" value="" size=4></td>
							<td> Código de segurança.</td>
						</tr>
						<tr> 
						<td colspan="3" class="title_array">URL SERVIDOR => PARÂMETRO CONFIGURADO NO BACKOFFICE DO PAYZEN </td>
						</tr>
						 
						<tr>
							<td colspan="3">A URL do servidor é uma URL que deve ser preenchido no backoffice do PAYZEN. Esta url será chamada automaticamente no final de uma transação pelo PayZEN. Durante esta chamada o PayZEN retorna via POST todos os parâmetros obrigatórios para a análise de pagamento (Pagamento aprovado ou recusado). <br/><br/>Esta chamada independe do usuário retornar para a loja. IMPORTANTE Esta chamada servirá para que você atualize seu sistema com as informações sobre o pagamento. No caso do PayZEN não conseguir acessar a URL, você receberá um e-mail informando o respectivo pagamento, dessa forma você poderá analisar o motivo da falha ( erro http XXX ), você poderá acionar manualmente o retorno para loja pelo backoffice do PayZEN, para isso basta clicar com o botão direito sobre a transação e em seguida clicar na opção "Executar a URL do servidor".	 
							<br/><br/> Voce pode ver o exemplo do retorno no arquivo return_payment.php.
							</td>
						</tr>
					</table>
					<button type="submit" class="validationButton" >
				<span><em>Validar e enviar as configurações para o arquivo form_payment.php</em></span>
				</button>
				</form>
		
		
	</div>
		
	